Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlTestStep

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep

All Implemented Interfaces:
  ModelItem, TestStep, PropertyChangeNotifier

Direct Known Subclasses:
  TransferResponseValuesTestStep, WsdlDelayTestStep, WsdlGotoTestStep, WsdlGroovyScriptTestStep, WsdlPropertiesTestStep, WsdlTestRequestStep

    public abstract class WsdlTestStep

extends AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
implements TestStep

Base class for WSDL TestCase test steps.

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestStep
`DISABLED_PROPERTY, LABEL_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`protected` | `WsdlTestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean hasEditor, boolean forLoadTest)`

Method Summary
`protected void` | `addProperty(TestStepProperty property)`
`void` | `addTestStepListener(WsdlTestStepListener listener)`
`boolean` | `cancel()`
`WsdlTestStep` | `clone(WsdlTestCase targetTestCase, java.lang.String name)` Called after cloning for custom behaviour
`protected PanelBuilder` | `createPanelBuilder()`
`protected void` | `deleteProperty(java.lang.String name)`
`boolean` | `dependsOn(AbstractWsdlModelItem modelItem)`
`void` | `finish(TestRunner testRunner, TestRunContext testRunContext)`
`protected void` | `firePropertyAdded(java.lang.String name)`
`protected void` | `firePropertyRemoved(java.lang.String name)`
`protected void` | `firePropertyRenamed(java.lang.String oldName, java.lang.String newName)`
`protected void` | `firePropertyValueChanged(java.lang.String name, java.lang.String oldValue, java.lang.String newValue)`
`java.lang.String` | `getLabel()`
`TestStepProperty` | `getProperty(java.lang.String name)`
`java.lang.String[]` | `getPropertyNames()`
`java.lang.String` | `getPropertyValue(java.lang.String name)`
`java.util.Collection<WsdlInterface>` | `getRequiredInterfaces()`
`WsdlTestCase` | `getTestCase()`
`java.lang.String` | `getTestStepTitle()`
`boolean` | `hasEditor()`
`boolean` | `isDisabled()`
`boolean` | `isForLoadTest()`
`void` | `postInit(com.eviware.soapui.config.TestStepConfig config)` Called after creation of all teststeps, should be used for inter-test-step initializations
`void` | `prepare(TestRunner testRunner, TestRunContext testRunContext)`
`protected void` | `propertyRenamed(java.lang.String oldName)`
`void` | `removeTestStepListener(WsdlTestStepListener listener)`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)` Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.
`void` | `setDisabled(boolean disabled)`
`void` | `setName(java.lang.String name)`
`void` | `setPropertyValue(java.lang.String name, java.lang.String value)`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getIcon, getName, getParent, getSettings, getWsdlModelItemByName, onSave, release, setConfig, setDescription, setIcon, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.testsuite.TestStep
`run`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getIcon, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlTestStep

    protected WsdlTestStep(WsdlTestCase testCase,
                           com.eviware.soapui.config.TestStepConfig config,
                           boolean hasEditor,
                           boolean forLoadTest)

Method Detail

### hasEditor

    public boolean hasEditor()

### isForLoadTest

    public boolean isForLoadTest()

### postInit

    public void postInit(com.eviware.soapui.config.TestStepConfig config)

  Called after creation of all teststeps, should be used for inter-test-step initializations

  Parameters:
    `config` -

### createPanelBuilder

    protected PanelBuilder createPanelBuilder()

### getTestCase

    public WsdlTestCase getTestCase()

  Specified by:
    `getTestCase` in interface `TestStep`

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)

  Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.

  Parameters:
    `config` - the new config to use, will be a copy of the existing one. The current will be invalid

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `TestStep`

### getLabel

    public java.lang.String getLabel()

  Specified by:
    `getLabel` in interface `TestStep`

### setName

    public void setName(java.lang.String name)

  Overrides:
    `setName` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### getPropertyNames

    public java.lang.String[] getPropertyNames()

  Specified by:
    `getPropertyNames` in interface `TestStep`

### getProperty

    public TestStepProperty getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `TestStep`

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `TestStep`

### setPropertyValue

    public void setPropertyValue(java.lang.String name,
                                 java.lang.String value)

  Specified by:
    `setPropertyValue` in interface `TestStep`

### addProperty

    protected void addProperty(TestStepProperty property)

### deleteProperty

    protected void deleteProperty(java.lang.String name)

### propertyRenamed

    protected void propertyRenamed(java.lang.String oldName)

### addTestStepListener

    public void addTestStepListener(WsdlTestStepListener listener)

### removeTestStepListener

    public void removeTestStepListener(WsdlTestStepListener listener)

### firePropertyAdded

    protected void firePropertyAdded(java.lang.String name)

### firePropertyRemoved

    protected void firePropertyRemoved(java.lang.String name)

### firePropertyRenamed

    protected void firePropertyRenamed(java.lang.String oldName,
                                       java.lang.String newName)

### firePropertyValueChanged

    protected void firePropertyValueChanged(java.lang.String name,
                                            java.lang.String oldValue,
                                            java.lang.String newValue)

### dependsOn

    public boolean dependsOn(AbstractWsdlModelItem modelItem)

### getTestStepTitle

    public java.lang.String getTestStepTitle()

### clone

    public WsdlTestStep clone(WsdlTestCase targetTestCase,
                              java.lang.String name)

  Called after cloning for custom behaviour

  Parameters:
    `sourceStep` - step we were cloned from

### finish

    public void finish(TestRunner testRunner,
                       TestRunContext testRunContext)

  Specified by:
    `finish` in interface `TestStep`

### prepare

    public void prepare(TestRunner testRunner,
                        TestRunContext testRunContext)
                 throws java.lang.Exception

  Specified by:
    `prepare` in interface `TestStep`
  Throws:
    `java.lang.Exception`

### getRequiredInterfaces

    public java.util.Collection<WsdlInterface> getRequiredInterfaces()

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in interface `TestStep`

### setDisabled

    public void setDisabled(boolean disabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.